## libtk-img 1.4.16+dfsg1

=== compat/zlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.4)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS ON)

project(zlib C)

set(VERSION "1.2.13")

set(INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE PATH "Installation directory for executables")
set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib" CACHE PATH "Installation directory for libraries")
set(INSTALL_INC_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "Installation directory for headers")
set(INSTALL_MAN_DIR "${CMAKE_INSTALL_PREFIX}/share/man" CACHE PATH "Installation directory for manual pages")
set(INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig" CACHE PATH "Installation directory for pkgconfig (.pc) files")

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)
enable_testing()

check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(stdint.h    HAVE_STDINT_H)
check_include_file(stddef.h    HAVE_STDDEF_H)

#
# Check to see if we have large file support
#
set(CMAKE_REQUIRED_DEFINITIONS -D_LARGEFILE64_SOURCE=1)
# We add these other definitions here because CheckTypeSize.cmake
# in CMake 2.4.x does not automatically do so and we want
# compatibility with CMake 2.4.x.
if(HAVE_SYS_TYPES_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_SYS_TYPES_H)
endif()
if(HAVE_STDINT_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDINT_H)
endif()
if(HAVE_STDDEF_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDDEF_H)
endif()
check_type_size(off64_t OFF64_T)
if(HAVE_OFF64_T)
   add_definitions(-D_LARGEFILE64_SOURCE=1)
endif()
set(CMAKE_REQUIRED_DEFINITIONS) # clear variable

#
# Check for fseeko
#
check_function_exists(fseeko HAVE_FSEEKO)
if(NOT HAVE_FSEEKO)
    add_definitions(-DNO_FSEEKO)
endif()

#
# Check for unistd.h
#
check_include_file(unistd.h Z_HAVE_UNISTD_H)

if(MSVC)
    set(CMAKE_DEBUG_POSTFIX "d")
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(NOT CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    # If we're doing an out of source build and the user has a zconf.h
    # in their source tree...
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h)
        message(STATUS "Renaming")
        message(STATUS "    ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h")
        message(STATUS "to 'zconf.h.included' because this file is included with zlib")
        message(STATUS "but CMake generates it automatically in the build directory.")
        file(RENAME ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.included)
  endif()
endif()

set(ZLIB_PC ${CMAKE_CURRENT_BINARY_DIR}/zlib.pc)
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/zlib.pc.cmakein
		${ZLIB_PC} @ONLY)
configure_file(	${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.cmakein
		${CMAKE_CURRENT_BINARY_DIR}/zconf.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR})


#============================================================================
# zlib
#============================================================================

set(ZLIB_PUBLIC_HDRS
    ${CMAKE_CURRENT_BINARY_DIR}/zconf.h
    zlib.h
)
set(ZLIB_PRIVATE_HDRS
    crc32.h
    deflate.h
    gzguts.h
    inffast.h
    inffixed.h
    inflate.h
    inftrees.h
    trees.h
    zutil.h
)
set(ZLIB_SRCS
    adler32.c
    compress.c
    crc32.c
    deflate.c
    gzclose.c
    gzlib.c
    gzread.c
    gzwrite.c
    inflate.c
    infback.c
    inftrees.c
    inffast.c
    trees.c
    uncompr.c
    zutil.c
)

if(NOT MINGW)
    set(ZLIB_DLL_SRCS
        win32/zlib1.rc # If present will override custom build rule below.
    )
endif()

# parse the full version number from zlib.h and include in ZLIB_FULL_VERSION
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/zlib.h _zlib_h_contents)
string(REGEX REPLACE ".*#define[ \t]+ZLIB_VERSION[ \t]+\"([-0-9A-Za-z.]+)\".*"
    "\\1" ZLIB_FULL_VERSION ${_zlib_h_contents})

if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    if(NOT CMAKE_RC_COMPILER)
        set(CMAKE_RC_COMPILER windres.exe)
    endif()

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                       COMMAND ${CMAKE_RC_COMPILER}
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                            -o ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                            -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/zlib1.rc)
    set(ZLIB_DLL_SRCS ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj)
endif(MINGW)

add_library(zlib SHARED ${ZLIB_SRCS} ${ZLIB_DLL_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
add_library(zlibstatic STATIC ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
set_target_properties(zlib PROPERTIES DEFINE_SYMBOL ZLIB_DLL)
set_target_properties(zlib PROPERTIES SOVERSION 1)

if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${ZLIB_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    #
    # This has no effect with MSVC, on that platform the version info for
    # the DLL comes from the resource file win32/zlib1.rc
    set_target_properties(zlib PROPERTIES VERSION ${ZLIB_FULL_VERSION})
endif()

if(UNIX)
    # On unix-like platforms the library is almost always called libz
   set_target_properties(zlib zlibstatic PROPERTIES OUTPUT_NAME z)
   if(NOT APPLE)
     set_target_properties(zlib PROPERTIES LINK_FLAGS "-Wl,--version-script,\"${CMAKE_CURRENT_SOURCE_DIR}/zlib.map\"")
   endif()
elseif(BUILD_SHARED_LIBS AND WIN32)
    # Creates zlib1.dll when building shared library version
    set_target_properties(zlib PROPERTIES SUFFIX "1.dll")
endif()

if(NOT SKIP_INSTALL_LIBRARIES AND NOT SKIP_INSTALL_ALL )
    install(TARGETS zlib zlibstatic
        RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
        ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
        LIBRARY DESTINATION "${INSTALL_LIB_DIR}" )
endif()
if(NOT SKIP_INSTALL_HEADERS AND NOT SKIP_INSTALL_ALL )
    install(FILES ${ZLIB_PUBLIC_HDRS} DESTINATION "${INSTALL_INC_DIR}")
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
    install(FILES zlib.3 DESTINATION "${INSTALL_MAN_DIR}/man3")
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
    install(FILES ${ZLIB_PC} DESTINATION "${INSTALL_PKGCONFIG_DIR}")
endif()

#============================================================================
# Example binaries
#============================================================================

add_executable(example test/example.c)
target_link_libraries(example zlib)
add_test(example example)

add_executable(minigzip test/minigzip.c)
target_link_libraries(minigzip zlib)

if(HAVE_OFF64_T)
    add_executable(example64 test/example.c)
    target_link_libraries(example64 zlib)
    set_target_properties(example64 PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64")
    add_test(example64 example64)

    add_executable(minigzip64 test/minigzip.c)
    target_link_libraries(minigzip64 zlib)
    set_target_properties(minigzip64 PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64")
endif()

=== compat/libtiff/tools/CMakeLists.txt ===
# CMake build for libtiff
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

add_executable(fax2ps ../placeholder.h)
target_sources(fax2ps PRIVATE fax2ps.c)
target_link_libraries(fax2ps PRIVATE tiff tiff_port)

add_executable(fax2tiff ../placeholder.h)
target_sources(fax2tiff PRIVATE fax2tiff.c)
target_link_libraries(fax2tiff PRIVATE tiff tiff_port)

add_executable(pal2rgb ../placeholder.h)
target_sources(pal2rgb PRIVATE pal2rgb.c)
target_link_libraries(pal2rgb PRIVATE tiff tiff_port)

add_executable(ppm2tiff ../placeholder.h)
target_sources(ppm2tiff PRIVATE ppm2tiff.c)
target_link_libraries(ppm2tiff PRIVATE tiff tiff_port)

add_executable(raw2tiff ../placeholder.h)
target_sources(raw2tiff PRIVATE raw2tiff.c)
target_link_libraries(raw2tiff PRIVATE tiff tiff_port CMath::CMath)

add_executable(rgb2ycbcr ../placeholder.h)
target_sources(rgb2ycbcr PRIVATE rgb2ycbcr.c)
target_link_libraries(rgb2ycbcr PRIVATE tiff tiff_port)

add_executable(thumbnail ../placeholder.h)
target_sources(thumbnail PRIVATE thumbnail.c)
target_link_libraries(thumbnail PRIVATE tiff tiff_port CMath::CMath)

add_executable(tiff2bw ../placeholder.h)
target_sources(tiff2bw PRIVATE tiff2bw.c)
target_link_libraries(tiff2bw PRIVATE tiff tiff_port)

add_executable(tiff2pdf ../placeholder.h)
target_sources(tiff2pdf PRIVATE tiff2pdf.c)
target_link_libraries(tiff2pdf PRIVATE tiff tiff_port)

add_executable(tiff2ps ../placeholder.h)
target_sources(tiff2ps PRIVATE tiff2ps.c)
target_link_libraries(tiff2ps PRIVATE tiff tiff_port CMath::CMath)

add_executable(tiff2rgba ../placeholder.h)
target_sources(tiff2rgba PRIVATE tiff2rgba.c)
target_link_libraries(tiff2rgba PRIVATE tiff tiff_port)

add_executable(tiffcmp ../placeholder.h)
target_sources(tiffcmp PRIVATE tiffcmp.c)
target_link_libraries(tiffcmp PRIVATE tiff tiff_port)

add_executable(tiffcp ../placeholder.h)
target_sources(tiffcp PRIVATE tiffcp.c)
target_link_libraries(tiffcp PRIVATE tiff tiff_port)

add_executable(tiffcrop ../placeholder.h)
target_sources(tiffcrop PRIVATE tiffcrop.c)
target_link_libraries(tiffcrop PRIVATE tiff tiff_port CMath::CMath)

add_executable(tiffdither ../placeholder.h)
target_sources(tiffdither PRIVATE tiffdither.c)
target_link_libraries(tiffdither PRIVATE tiff tiff_port)

add_executable(tiffdump ../placeholder.h)
target_sources(tiffdump PRIVATE tiffdump.c)
target_link_libraries(tiffdump PRIVATE tiff tiff_port)

add_executable(tiffinfo ../placeholder.h)
target_sources(tiffinfo PRIVATE tiffinfo.c)
target_link_libraries(tiffinfo PRIVATE tiff tiff_port)

add_executable(tiffmedian ../placeholder.h)
target_sources(tiffmedian PRIVATE tiffmedian.c)
target_link_libraries(tiffmedian PRIVATE tiff tiff_port)

add_executable(tiffset ../placeholder.h)
target_sources(tiffset PRIVATE tiffset.c)
target_link_libraries(tiffset PRIVATE tiff tiff_port)

add_executable(tiffsplit ../placeholder.h)
target_sources(tiffsplit PRIVATE tiffsplit.c)
target_link_libraries(tiffsplit PRIVATE tiff tiff_port)

# rgb2ycbcr and thumbnail are intended to *NOT* be installed. They are for
# testing purposes only.
install(TARGETS fax2ps
                fax2tiff
                pal2rgb
                ppm2tiff
                raw2tiff
                tiff2bw
                tiff2pdf
                tiff2ps
                tiff2rgba
                tiffcmp
                tiffcp
                tiffcrop
                tiffdither
                tiffdump
                tiffinfo
                tiffmedian
                tiffset
                tiffsplit
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

if(OPENGL_SUPPORT)
  add_executable(tiffgt ../placeholder.h)
  target_sources(tiffgt PRIVATE tiffgt.c)
  target_link_libraries(tiffgt PRIVATE tiff tiff_port)
  target_link_libraries(tiffgt PRIVATE OpenGL::GL GLUT::GLUT)

  install(TARGETS tiffgt
          RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

if(WEBP_SUPPORT AND EMSCRIPTEN)
  # Emscripten is pretty finnicky about linker flags.
  # It needs --shared-memory if and only if atomics or bulk-memory is used.
  foreach(target fax2ps
                 fax2tiff
                 pal2rgb
                 ppm2tiff
                 raw2tiff
                 rgb2ycbcr
                 thumbnail
                 tiff2bw
                 tiff2pdf
                 tiff2ps
                 tiff2rgba
                 tiffcmp
                 tiffcp
                 tiffcrop
                 tiffdither
                 tiffdump
                 tiffinfo
                 tiffmedian
                 tiffset
                 tiffsplit)
    target_link_options(${target} PUBLIC "-Wl,--shared-memory")
  endforeach()
endif()

=== debian/changelog ===
libtk-img (1:1.4.16+dfsg1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:18:44 +0000

libtk-img (1:1.4.16+dfsg1-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:16:51 +0000

=== debian/control ===
Source: libtk-img
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
 zlib1g-dev (>= 1:1.2.11), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
Standards-Version: 4.6.2
Homepage: http://sourceforge.net/projects/tkimg/
Vcs-Browser: https://salsa.debian.org/tcltk-team/libtk-img
Vcs-Git: https://salsa.debian.org/tcltk-team/libtk-img.git

Package: libtk-img
Section: libs
Architecture: any
Depends: libtk, ${shlibs:Depends}, ${misc:Depends}
Suggests: libtk-img-doc
Breaks: libtk-img-doc (<< 1:1.4.15+dfsg-2)
Replaces: libtk-img-doc (<< 1:1.4.15+dfsg-2)
Multi-Arch: same
Description: Extended image format support for Tcl/Tk (runtime)
 Img is a package to enhance Tk by providing support for various image
 formats such as XPM, GIF (transparency supported, but not LZW), PNG,
 JPEG, TIFF, and PostScript.
 .
 The libimg library can be loaded dynamically into Tcl/Tk scripts to
 provide the image handling functions.
 .
 This package includes runtime libraries.

Package: libtk-img-dev
Section: libdevel
Architecture: any
Depends: tk-dev, libtk-img (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Extended image format support for Tcl/Tk (development files)
 Img is a package to enhance Tk by providing support for various image
 formats such as XPM, GIF (transparency supported, but not LZW), PNG,
 JPEG, TIFF, and PostScript.
 .
 The libimg library can be loaded dynamically into Tcl/Tk scripts to
 provide the image handling functions.
 .
 This package includes Tcl stub libraries and headers, which are necessary
 to develop C-based extensions using Img.

Package: libtk-img-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Suggests: libtk-img
Conflicts: libtk-img (<< 1:1.3-release-6)
Replaces: libtk-img (<< 1:1.3-release-6)
Description: Extended image format support for Tcl/Tk (manual pages)
 Img is a package to enhance Tk by providing support for various image
 formats such as XPM, GIF (transparency supported, but not LZW), PNG,
 JPEG, TIFF, and PostScript.
 .
 The libimg library can be loaded dynamically into Tcl/Tk scripts to
 provide the image handling functions.
 .
 This package includes manual pages and examples.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

v=1.4.7
pkgdir=$(shell pwd)/debian/tmp
libdir=$(pkgdir)/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf libtiff/tcl/port
	rm -rf libtiff/tcl/man
	rm -rf libtiff/tcl/libtiff
	rm -f libjpeg/jconfig.h
	rm -f libtiff/tcl/tools/Makefile
	find . -name "*.so" | xargs rm -f
	find . -name "*.a" | xargs rm -f
	find . -name config.status | xargs rm -f
	find . -name config.log | xargs rm -f
	dh_clean

override_dh_auto_configure:
	cp /usr/include/$(DEB_HOST_MULTIARCH)/jconfig.h libjpeg/
	CFLAGS="$(CFLAGS)" \
	CPPFLAGS="$(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	dh_auto_configure -- \
		--with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-tk=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-tkinclude=/usr/include/tcl \
                --enable-threads

override_dh_auto_build:
	$(MAKE) TCL_INC_DIR=/usr/include/tcl/tcl-private/generic \
		TK_INC_DIR=/usr/include/tcl/tk-private/generic

override_dh_auto_install:
	$(MAKE) install INSTALL_ROOT=$(pkgdir)
	#
	# Fix file permissions
	find $(libdir) -type f | xargs chmod a-x
	#
	# Fix pkgIndex.tcl to prevent loading package to Tk 8.3 or older
	sed -i -e'1i\
	# Tcl package index file\
	#\
	# Return if Tcl/Tk is old.\
	#\
	if {[package vcompare [info tclversion] 8.5] < 0} return\
	' $(libdir)/Img*/pkgIndex.tcl
	#
	# Move library into tcltk subdirectory
	install -m 755 -d $(libdir)/../tcltk/$(DEB_HOST_MULTIARCH)
	mv $(libdir)/Img* $(libdir)/../tcltk/$(DEB_HOST_MULTIARCH)
	#
	# Fix *Config.sh
	DIR=`ls -d $(libdir)/../tcltk/$(DEB_HOST_MULTIARCH)/Img*` ; \
	PKGDIR=`basename $$DIR` ; \
	for f in $(libdir)/*Config.sh ; do \
	  sed -i -e "s:\(/[^/]*\)\+\([ /]\):/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/$$PKGDIR\2:" $$f || exit 1; \
	done
	#
	# Cleanup manpages
	(cd $(pkgdir)/usr/share/man/mann && \
	  for f in *.n ; do \
	    sed -e's/^\.TH \([^ ]\+\) n/.TH \1 3tk/' \
		-e's/\xc2\xad //' \
		$$f > `basename $$f .n`.3tk || exit 1; \
	  done)
	#
	# Rename img to img-intro since it's refered as img-intro
	mv $(pkgdir)/usr/share/man/mann/img.3tk $(pkgdir)/usr/share/man/mann/img-intro.3tk

override_dh_auto_test:
	# Disable tests because they require X

override_dh_fixperms-indep:
	dh_fixperms
	chmod a-x debian/libtk-img-doc/usr/share/doc/libtk-img/examples/msgs/*

override_dh_compress:
	dh_compress -X.tcl

.PHONY: override_dh_clean override_dh_auto_build override_dh_auto_install \
	override_dh_auto_test override_dh_fixperms-indep override_dh_compress

## libtk-img 2.0.0+dfsg1

=== debian/changelog ===
libtk-img (1:2.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 24 Oct 2024 15:29:40 +0300

libtk-img (1:1.4.16+dfsg1-3) unstable; urgency=medium

  * Drop unnecessary calls to compat configure scripts.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 04 Jul 2024 17:16:18 +0300

libtk-img (1:1.4.16+dfsg1-2) unstable; urgency=medium

  * Fix side effects of computing TIFF image file size (closes: #1074541).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 03 Jul 2024 10:43:58 +0300

## libtk-img 2.0.1+dfsg1

=== debian/changelog ===
libtk-img (1:2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 09 Jan 2025 13:48:49 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libtk-img
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sergei Golovan <sgolovan@debian.org>
+Maintainer: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
  zlib1g-dev (>= 1:1.2.11), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://sourceforge.net/projects/tkimg/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/libtk-img
 Vcs-Git: https://salsa.debian.org/tcltk-team/libtk-img.git
